<!DOCTYPE html>
<html lang="en">
<head>
    <title>AIKO App - Login</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='styles.css')}}">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body class="dark-mode">
    <h1>AIKO Space - Infinite Ways To Autonomy</h1>
    <h2>User Personal Area Access</h2>
    <section>
        <header>
            <h3>Login</h3>
            {% for category, message in get_flashed_messages(with_categories=true) %}
                <div class="flash {{ category }}">{{ message }}</div>
            {% endfor %}
        </header>

        <p>Please select your mail and enter the password</p>

        <form method="POST" action="/login">
            <label for="mail">AIKO mail:</label>
            <select id="mail" name="mail">
                {% for mail in mails %}
                <option value="{{ mail }}">{{ mail }}</option>
                {% endfor %}
            </select>

            <label for="password">Enter password:</label>
            <input type="password" id="password" name="password" required>

            <button type="submit">Login</button>
        </form>
    </section>
</body>
</html>
